
### dataHook
- type: string
- description: No description
### initialValue
- type: string
- description: Defines a text value that is shown initially
### defaultValue
- type: string
- description: Defines text value that is shown when the title is empty. When clicked this value will become a default 'value'
- default: ''
### onSubmit
- type: (value: string) => void
- description: Triggers function when a user is done with editing the title
### maxLength
- type: number
- description: Sets the max number of characters that a user can type in the title
### autoFocus
- type: boolean
- description: Sets focus on the title as soon as the component is rendered (on mount)
### onChange
- type: ChangeEventHandler
- description: Triggers function when the title is being edited
### value
- type: string
- description: Sets the controlled value of the input

